/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.console.registry.business {
import mx.controls.Alert;

import org.ow2.kerneos.common.business.AbsDelegateResponder;

/**
 * This class is in charge to call the server.
 * @author durieuxp
 */
public class MyDelegate extends AbsDelegateResponder {

    private var service:Object = null;

    public function MyDelegate() {
        super();
        service = Registry.getInstance().getServices().getRemoteObject("RegistryService");
        if (service == null) {
            Alert.show("Cannot get RegistryService", "ERROR");
        }
    }

    public function getRegistryInfo() : void {
        var call:Object = service.getRegistryProtocols();
        call.addResponder(this.responder);
    }

}
}
